cancel
Showing results for 
Search instead for 
Did you mean: 
Create Post
Level 13

Orion Core Service 2020.2.15300.12766. Is this version 2020.2.1 HF1

Hi All,

Like everyone I'm trying to work out if I was on a majorly affected version. Luckily I was on 2019.2 for ages and then upgraded a few times since September. On September 13th I upgraded to Orion Core Service 2020.2.15300.12766. I have since then patched a few times for things like NCM, so I can't quite work out if I did Orion Core HF1 on the 13th or not.

Any one know?

TIA

0 Kudos
11 Replies
Level 13

Thank you both!

This basically came about as we have applied 3 sets of patches since September and couldn't work out when the Orion core HF 1 was applied, if it was in the original September patch we did, or the one in October or November etc. I checked the logs and saw 2020.2.15300.12766 was present from the first patch we did in September and just wanted to make sure it was definitely HF1  

0 Kudos
Level 13

Looking at "C:\Program Files (x86)\SolarWinds\Orion\SolarWinds.Orion.Core.BusinessLayer.dll", version "2020.2.15300.12766" is Orion 2020.2.1 HF1

Level 12

If your website is running, look at the bottom.  You should see something like this.

rsprim_0-1608034757604.png

 Notice the 2020.2.1 at the end and Orion Platform is at HF1 that would indicate your on 2020.2.1 HF1

You can also open Control Panel > Uninstall a Program > View installed updates and you should see something similar to this.

rsprim_1-1608034935423.png

Looking at my SolarWinds.Orion.Core.BusinessLayer.dll after applying HF1 it is version 2020.2.15300.12766.

FWIW, the bottom of my page does not say I'm on HF1, just 2020.2.1, but my DLL version is still 2020.2.15300.12766.

I don't believe I'm on HF1, as Add/Remove also does not list the HF.

@aobrien5  What happens when you try to load the Hotfix?

0 Kudos

I actually get an error when I try to pre-stage the files. "Sequence contains no matching element."

Got a ticket open, but as you can imagine, I haven't heard from them yet.

0 Kudos

Got the same error at two customers. Did you get any info on how to resolve? "Sequence contains no matching element"

0 Kudos

I used the built-in updater today to install HF2 and it went smoothly.

0 Kudos

I know the inbuilt web updater tool is better then it used to be but after a string of error's, I just download the updater from the customer portal, copy it onto my Solarwinds servers and install that way. I still find being on the server best for me.

0 Kudos

@aobrien5I have to agree with @grantallenby.  I had errors to pre-staging so I just copied the file to all of my Primary and Additional Pollers and ran Upgrade Now on each, starting with the primary first and then moving to the additional pollers.  Once the Primary comes up and you confirm the HF loaded and everything is working, you can run the install on the pollers simultaneously if you want or one at a time.  Your choice.  Let us know how it goes for you.

0 Kudos

Thanks guys. At this point, I figure I'll just wait for HF2. Seems I'm likely not vulnerable and it should be out today.  I'll take your advice when installing that one though.

0 Kudos